%set_verify_elf_method skip

Name: 	  pantum
Version:  1.1.76
Release:  alt1
Summary:  Pantum drivers
License: distributable
Group: System/Configuration
Source: %name-%version.tgz
#Source1: ptps.bpatch

Url: https://global.pantum.com/

Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

BuildRequires: bsdiff
Requires: cups sane libcups libjpeg8 ipp-usb
AutoReqProv: no


BuildArch: x86_64

%description 
CUPS and SANE drivers for Pantum series printer and scanner.

%prep
%setup -v
bspatch usr/lib/cups/filter/ptps usr/lib/cups/filter/ptps ptps.bpatch


%install
#etc
mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
mkdir -p %buildroot/%_sysconfdir/sane.d/dll.d/

mkdir -p %buildroot/%_usr/lib/cups/filter

mkdir -p %buildroot/%_libdir/sane

mkdir -p %buildroot/%_datadir/doc/%name
mkdir -p %buildroot/%_datadir/cups/model/Pantum

cp -Pr usr/* %buildroot/%_usr/
cp -Pr etc/* %buildroot/%_sysconfdir/


%post
systemctl daemon-reload
udevadm control --reload

%preun
systemctl daemon-reload
udevadm control --reload

%files
%exclude %_libexecdir/debug
%_sysconfdir/*
%_usr/*
%_libdir/sane/*
%_datadir/doc/*
%_datadir/cups/model/Pantum/*

%changelog
* Mon Jun 13 2023 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.76-alt1
- v1.1.76
